<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  exclude-result-prefixes="xs saxon"
  version="2.0">
  <xsl:variable name="outputdir" select="'../output/'"/>
  <xsl:variable name="filename">myfile.xml</xsl:variable>
  <xsl:template match="/">
    <xsl:result-document method="xml" href="{concat($outputdir, $filename)}">
      <xsl:apply-templates/>
    </xsl:result-document>
    <xsl:message>Wrote <xsl:value-of select="concat($outputdir, $filename)"/></xsl:message>
  </xsl:template>
  <xsl:template match="document">
    <xsl:copy><xsl:apply-templates/></xsl:copy>
  </xsl:template>
  <xsl:template match="paragraph">
    <xsl:variable name="pnum"><xsl:number/></xsl:variable>
    <paragraph n="{$pnum}">
      <xsl:apply-templates/>
    </paragraph>
  </xsl:template>
</xsl:stylesheet>